cURL
curl --request POST \
--url 'https://www.anyfast.ai/v1beta/models/gemini-3.7-flash:generateContent?key=<token>' \
--header 'Content-Type: application/json' \
--data '
{
"contents": [
{
"role": "user",
"parts": [
{
"text": "Review this retry design and identify possible race conditions."
}
]
}
],
"generationConfig": {
"thinkingConfig": {
"thinkingLevel": "medium"
},
"maxOutputTokens": 2048
}
}
'import requests
url = "https://www.anyfast.ai/v1beta/models/gemini-3.7-flash:generateContent"
payload = {
"contents": [
{
"role": "user",
"parts": [{ "text": "Review this retry design and identify possible race conditions." }]
}
],
"generationConfig": {
"thinkingConfig": { "thinkingLevel": "medium" },
"maxOutputTokens": 2048
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
contents: [
{
role: 'user',
parts: [{text: 'Review this retry design and identify possible race conditions.'}]
}
],
generationConfig: {thinkingConfig: {thinkingLevel: 'medium'}, maxOutputTokens: 2048}
})
};
fetch('https://www.anyfast.ai/v1beta/models/gemini-3.7-flash:generateContent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"candidates": [
{
"content": {
"parts": [
{
"text": "<string>",
"thought": true,
"thoughtSignature": "<string>",
"inlineData": {
"mimeType": "image/jpeg",
"data": "<string>"
},
"fileData": {
"mimeType": "application/pdf",
"fileUri": "<string>"
},
"functionCall": {
"name": "<string>",
"args": {}
},
"functionResponse": {
"name": "<string>",
"id": "<string>",
"response": {}
},
"executableCode": {
"language": "PYTHON",
"code": "<string>"
},
"codeExecutionResult": {
"outcome": "OUTCOME_OK",
"output": "<string>"
}
}
],
"role": "user"
},
"finishReason": "STOP",
"index": 0,
"safetyRatings": [
{}
]
}
],
"usageMetadata": {
"promptTokenCount": 123,
"candidatesTokenCount": 123,
"cachedContentTokenCount": 123,
"thoughtsTokenCount": 123,
"toolUsePromptTokenCount": 123,
"totalTokenCount": 123,
"serviceTier": "standard",
"promptTokensDetails": [
{
"modality": "TEXT",
"tokenCount": 123
}
],
"toolUsePromptTokensDetails": [
{
"modality": "TEXT",
"tokenCount": 123
}
]
},
"modelVersion": "gemini-3.7-flash",
"responseId": "<string>",
"quota": 123
}{
"error": {
"code": 123,
"message": "<string>",
"status": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>",
"status": "<string>"
}
}Google
gemini-3.7-flash
Generate a response with Gemini 3.7 Flash. The final non-empty conversation turn must use the user role.
POST
/
v1beta
/
models
/
gemini-3.7-flash:generateContent
cURL
Query Parameters
API Key
Body
application/json
Conversation turns. Do not end the request with a non-empty model turn.
Minimum array length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Generation configuration. The minimal thinking level is not supported.
Show child attributes
Show child attributes
Function declarations or supported built-in Gemini tools such as Google Search and code execution.
Show child attributes
Show child attributes
Tool execution and function-calling configuration.
Per-category content safety thresholds.
Show child attributes
Show child attributes
Was this page helpful?
⌘I